classification
Title: Set up a daily test coverage run
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon
Priority: normal Keywords:

Created on 2015-03-20 13:28 by brett.cannon, last changed 2020-05-25 18:22 by brett.cannon. This issue is now closed.

Messages (3)
msg238668 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-03-20 13:28
devinabox has instructions on how to get the best test coverage for Python possible: https://hg.python.org/devinabox/file/1eeb96fe98f1/README#l124 . It would probably be good to get a test report at least daily to help keep an eye on general test coverage and to help new contributors to know where they can help by contributing more tests.

Otherwise we should try to get something like https://coveralls.io/ set up on https://github.com/python/cpython
msg265162 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-05-08 20:08
Devinabox now lives at https://github.com/python/devinabox
msg369626 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-05-22 18:23
We have coverage after every push now at https://codecov.io/gh/python/cpython.
History
Date User Action Args
2020-05-25 18:22:41brett.cannonsetstatus: open -> closed
resolution: out of date
stage: resolved
2020-05-22 18:23:40brett.cannonsetmessages: + msg369626
2016-05-08 20:08:29brett.cannonsetmessages: + msg265162
2015-03-20 13:28:50brett.cannoncreate